Base16OutputStream.Builder (Apache Commons Codec 1.22.1 API)
Description: declaration: package: org.apache.commons.codec.binary, class: Base16OutputStream, class: Builder

Package org.apache.commons.codec.binary

# Class Base16OutputStream.Builder

java.lang.Object
org.apache.commons.codec.binary.AbstractBaseNCodecStreamBuilder<Base16OutputStream,Base16,Base16OutputStream.Builder>
org.apache.commons.codec.binary.BaseNCodecOutputStream.AbstractBuilder<Base16OutputStream,Base16,Base16OutputStream.Builder>
org.apache.commons.codec.binary.Base16OutputStream.Builder

All Implemented Interfaces:
  `Supplier<Base16OutputStream>`

Enclosing class:
  `Base16OutputStream`

public static class Base16OutputStream.Builder extends BaseNCodecOutputStream.AbstractBuilder<Base16OutputStream,Base16,Base16OutputStream.Builder>
Builds instances of Base16InputStream.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Base16OutputStream`
  `get()`
  `protected Base16`
  `newBaseNCodec()`
  Creates a new BaseNCodec subclass of type C.

  ### Methods inherited from class org.apache.commons.codec.binary.BaseNCodecOutputStream.AbstractBuilder

  `getOutputStream, setOutputStream`

  ### Methods inherited from class org.apache.commons.codec.binary.AbstractBaseNCodecStreamBuilder

  `getBaseNCodec, getEncode, setBaseNCodec, setEncode`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder()
    Constructs a new instance.

- ## Method Details

  - ### get

    public Base16OutputStream get()

  - ### newBaseNCodec

    protected Base16 newBaseNCodec()
    Description copied from class: `AbstractBaseNCodecStreamBuilder`
    Creates a new BaseNCodec subclass of type C.
    Specified by:
      `newBaseNCodec` in class `AbstractBaseNCodecStreamBuilder<Base16OutputStream,Base16,Base16OutputStream.Builder>`
    Returns:
      A new BaseNCodec subclass of type C.